Name:           gds2pov
Version:        0.20070426
Release:        2%{?dist}
Summary:        GDS2 layout file to POV-Ray conversion

Group:          Applications/Engineering
License:        GPLv2
URL:            http://www.atchoo.org/gds2pov/
Source0:        http://www.atchoo.org/gds2pov/files/gdsto3d-20070426.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel mesa-libGLU-devel


%description
GDS2POV is a program to take a GDS2 layout file
and output a POV-Ray scene description file of
the GDS2 data. This allows the creation of
attractive 3D pictures of a layout.

GDS2POV is mostly used by VLSI designers.


%package devel
Summary:         Development files for the GDS2POV
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}


%description devel
Development files for GDS2POV


%prep
%setup -q -n gdsto3d-20070426



%build
%configure --enable-shared --disable-static

# disabling rpath
sed -i 's|^hardcode_libdir_flag_spec="\\${wl}--rpath \\${wl}\\$libdir"|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%{__make} %{?_smp_mflags}



%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

%{__rm} -r %{buildroot}%{_libdir}/libgdsto3d.la


%clean
%{__rm} -rf %{buildroot}


%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%doc example_config.txt example.gds example_process.txt
%{_bindir}/%{name}
%{_bindir}/gds2svg
%{_bindir}/gdsoglviewer
%{_libdir}/libgdsto3d.so.*



%files devel
%defattr(-,root,root,-)
%{_includedir}/gdsto3d.h
%{_libdir}/libgdsto3d.so


%changelog
* Wed Aug 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070426-2
- fixes the license

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070426-1
- Initial Package